/*****************************************************************************
 * NCSA Polyview 3.1                                                         *
 *                                                                           *
 * Version 3.1 changes and additions by Gilles Bourhis.                      *
 * Designed and implemented by Marc Andreessen (marca@ncsa.uiuc.edu).        *
 * (Based on Polyview 2.0 by Brian Calvert.)                                 *
 *                                                                           *
 * Software Development Group                                                *
 * National Center for Supercomputing Applications                           *
 * University of Illinois at Urbana-Champaign                                *
 *                                                                           *
 * This is BETA release software.  As such it may contain software bugs and  *
 * exhibit inconsistencies.                                                  *
 *                                                                           *
 * Please send bug reports to polyview@ncsa.uiuc.edu.                        *
 *                                                                           *
 * Copyright (c) 1992 The Board of Trustees of the University of Illinois.   *
 *                                                                           *
 * Permission to use, copy, and modify this software and its                 *
 * documentation for educational, research, and non-profit purposes is       *
 * hereby granted, provided that the above copyright notice, the original    *
 * authors names, and this permission notice appear in all such copies.      *
 * Any distribution of this software requires the explicit and written       *
 * authorization of the authors.                                             *
 *                                                                           *
 * The University of Illinois makes no representations about the             *
 * suitability of this software for any purpose.  It is provided "as is"     *
 * without warranty of any kind.                                             *
 *****************************************************************************/

/* $Id: pvhelp.h,v 1.2 93/08/24 10:24:30 gbourhis Exp $ */

#ifdef RCSLOG
$Log:	pvhelp.h,v $
 * Revision 1.2  93/08/24  10:24:30  gbourhis
 * change in about_txt string : put my name (Gilles Bourhis).
 * 
 * Revision 1.1  92/09/18  10:55:26  marca
 * Initial revision
 * 
#endif

#ifndef __POLYVIEW_HELP_H__
#define __POLYVIEW_HELP_H__

static char about_txt[] = "\
NCSA Polyview 3.1\n\
Changes and additions by Gilles Bourhis.\n\
Polyview 3.0 was designed and written by Marc Andreessen.\n\
National Center for Supercomputing Applications\n\
University of Illinois at Urbana-Champaign\n\
(Based on Polyview 2.0 by Brian Calvert.)\n\
\n\
For support please send Internet email to polyview@ncsa.uiuc.edu.\n\
\n\
Polyview is a general-purpose system for rendering and exploring \
three-dimensional scientific data.  It reads data files in NCSA \
HDF Vset format and automatically derives animation sequences based \
on available information.  Script-based and graphical user interfaces \
complement each other in a seamless fashion to allow the easy creation \
of movie-style animations.\n\
\n\
We welcome your feedback on Polyview's user interface, functionality, \
and general usefulness.  Comments can be sent to polyview@ncsa.uiuc.edu.";

static char oncommands_txt[] = "\
NCSA Polyview has an extensive set of commands that you can use to \
tell it what to do.  These commands can be entered by using Polyview\'s \
command line (in the main window), but usually this command-line entry \
will be unnecessary since Polyview\'s user interface automatically \
converts button presses, slider movements, etc. into commands. \n\
\n\
If you start Polyview with the \'-o\' option, every command executed \
by Polyview during a session will be stored in a transcript file, which \
can be played back later.  See the user\'s manual for more information \
on this topic. \n\
\n\
A list of Polyview\'s commands follows.  Brackets (\'\[\' and \'\]\') \
indicate optional arguments; a vertical line (\'\|\') separates possible \
choices for a given argument.  For example, a command listed as: \n\
\n\
    grok \[foo\|bar\] \n\
\n\
could be entered as either \'grok foo\' or \'grok bar\' or \'grok\', but not \
\'grok foo bar\' or \'grok baz\'.  An argument listed like \'<\%f:count>\' \
indicates that Polyview will accept any floating-point number for the \
\'count\' argument of that command; similarly, \'<\%s:filename>\' indicates \
that Polyview accepts any string (possibly enclosed in quotes). \n\
\n\
The commands are: \n\
\n";

static char main_txt[] = "\
NCSA Polyview\'s main window is the anchoring point of the program. \
At the top is the main menubar, from which you can exit the program, \
load script files for execution, open windows, and perform other common \
tasks.\n\
\n\
Below the menubar is the command area.  Every command executed from \
a script file, the user interface, or the command line is \
stored in the command area\'s history list.  Below the history list is \
the command line, into which you can enter any Polyview command.\n\
\n\
At the bottom of the main window is the status area, which displays \
messages from the rest of the program.  Watch this area for warnings \
and minor error messages, as well as status reports on normal program \
functioning.";

static char pview_txt[] = "\
The polyview window contains the GL display area for a polygonal model \
in three dimensions.  Within the display area, the model can be rotated \
in 3-space by moving the mouse with the middle mouse button down.  If you \
hold down a Shift key on the keyboard and move the mouse forward and back, \
the model will zoom in and out.\n\
\n\
From the polyview window\'s menubar you can load an HDF Vset file directly \
into Polyview via the File -> Load Vset option.  You can also control \
many rendering and display options from the menubar, including drawing mode, \
lighting effects, props (grids, shadows, axes), and shading model as well \
as start and stop animation sequences.";

static char pal_txt[] = "\
The palette window contains the currently active palette.  In the current \
version of Polyview, there can only be one palette window; its contents \
are determined by the currently active polyview window.\n\
\n\
From the menubar, you can choose a palette, load in palettes of your \
own construction, save palettes that you create in Polyview, or choose \
from several provided palettes.  You can also set the backdrop pattern \
for the currently active polyview window from the menubar.\n\
\n\
By moving the mouse inside the palette with the middle button down you \
can \"fiddle\" the palette.  By moving the mouse with the left button down \
you can get precise values corresponding to any color in the palette.";

static char info_txt[] = "\
The information window gives you a quantitative view of elements of \
your 3D dataset.  To receive detailed information on elements (vertices, \
faces, or objects) of your dataset, select the appropriate part of your \
dataset by dragging the mouse, with the left mouse button down, across \
a polyview window's graphics area.  As soon as you select part of your \
dataset by doing this, the info window is filled with information about \
the elements selected.";

static char time_txt[] = "\
The time window allows you to animate through sequences of frames \
derived from data available in your dataset.  (If your dataset only \
contains one frame of data, the time window will be inactive.) \n\
\n\
The frame slider allows you to arbitrarily scroll through your data, \
while the VCR controls (reverse, reverse step, stop, forward step, and \
forward) allow you to move frame-by-frame or in a continuous playback \
loop.  You can also type the name of any frame directly into the text \
area to the right of the VCR controls to jump to that frame. \n\
\n\
The delay slider allows you to slow down or speed up the rate of \
animation, while the skip slider lets you jump over one or more frames \
for every frame displayed.";

#endif /* __POLYVIEW_HELP_H__ */
