/*****************************************************************************
 * NCSA Polyview 3.1                                                         *
 *                                                                           *
 * Version 3.1 changes and additions by Gilles Bourhis.                      *
 * Version 3 changes and additions by Marc Andreessen.                       *
 * Version 2 by Brian Calvert.                                               *
 *                                                                           *
 * Software Development Group                                                *
 * National Center for Supercomputing Applications                           *
 * University of Illinois at Urbana-Champaign                                *
 *                                                                           *
 * This is BETA release software.  As such it may contain software bugs and  *
 * exhibit inconsistencies.                                                  *
 *                                                                           *
 * Please send bug reports to polyview@ncsa.uiuc.edu.                        *
 *                                                                           *
 * Copyright (c) 1992 The Board of Trustees of the University of Illinois.   *
 *                                                                           *
 * Permission to use, copy, and modify this software and its                 *
 * documentation for educational, research, and non-profit purposes is       *
 * hereby granted, provided that the above copyright notice, the original    *
 * authors names, and this permission notice appear in all such copies.      *
 * Any distribution of this software requires the explicit and written       *
 * authorization of the authors.                                             *
 *                                                                           *
 * The University of Illinois makes no representations about the             *
 * suitability of this software for any purpose.  It is provided "as is"     *
 * without warranty of any kind.                                             *
 *****************************************************************************/

/* $Id: pvtokens.h,v 1.3 93/08/24 10:19:34 gbourhis Exp $ */

#ifdef RCSLOG
$Log:	pvtokens.h,v $
 * Revision 1.3  93/08/24  10:19:34  gbourhis
 * add PV_PROPS_CREDITS token.
 * 
 * Revision 1.2  93/08/13  13:45:32  gbourhis
 * add PV_PVIEW_SAVE_RGB token.
 * 
 * Revision 1.1  92/09/18  10:55:26  marca
 * Initial revision
 * 
#endif

#ifndef __POLYVIEW_TOKENS_H__
#define __POLYVIEW_TOKENS_H__

#define PV_NULL                         0xffff  /* max value */

/* General (including main window). */
#define PV_EXIT_PROGRAM			0x0000
#define PV_CLOSE_WINDOW			0x0001

#define PV_LOAD_SCRIPT                  0x0005

#define PV_DTM_IN                       0x0006
#define PV_DTM_OUT                      0x0007

#define PV_OPEN_POLYVIEW		0x0010
#define PV_OPEN_PALETTE			0x0011
#define PV_OPEN_INFO			0x0012
#define PV_OPEN_TIME			0x0013

#define PV_AUTOPLACE			0x0020

#define PV_TOGGLE_SOUND                 0x0027
#define PV_TOGGLE_DITHER                0x0028
#define PV_TOGGLE_ZBUFFER               0x0029

#define PV_HELP_ABOUT                   0x0030

#define PV_MAIN_HELP_ONWINDOW           0x0031

#define PV_HELP_ONCOMMANDS              0x0033

/* Polyview window specific. */
#define PV_PVIEW_BLAST                  0x0100
#define PV_PVIEW_ACTIVE                 0x0101
#define PV_PVIEW_PRIVATE                0x0102

#define PV_PVIEW_RESET			0x0107
#define PV_PVIEW_CLOSE_WINDOW           0x0108

#define PV_PVIEW_OPEN_RENDER		0x0110
#define PV_PVIEW_OPEN_PROPS		0x0111
#define PV_PVIEW_POPUP_SPHERE           0x0112
#define PV_PVIEW_POPUP_OUTLINE          0x0113
#define PV_PVIEW_POPUP_LINEWIDTH        0x0114

#define PV_PVIEW_TIME_FORWARD		0x0120
#define PV_PVIEW_TIME_FORWARDSTEP	0x0121
#define PV_PVIEW_TIME_STOP		0x0122
#define PV_PVIEW_TIME_REVERSESTEP	0x0123
#define PV_PVIEW_TIME_REVERSE		0x0124
#define PV_PVIEW_TIME_RESET		0x0125

#define PV_PVIEW_SELECT_VERTICES	0x0130
#define PV_PVIEW_SELECT_FACES		0x0131
#define PV_PVIEW_SELECT_OBJECTS		0x0132
#define PV_PVIEW_SELECT_ALL		0x0133

#define PV_PVIEW_HELP_ONWINDOW          0x0140

#define PV_PVIEW_LOAD_VSET              0x0150
#define PV_PVIEW_DTM_SEND               0x0151
#define PV_PVIEW_DATA_LOAD              0x0152
#define PV_PVIEW_DATA_NORMALIZE         0x0153
#define PV_PVIEW_SAVE_HDF               0x0154
#define PV_PVIEW_SAVE_RAY               0x0155
#define PV_PVIEW_SAVE_PS                0x0156
#ifdef RENDERMAN
#define PV_PVIEW_SAVE_RENDERMAN         0x0157
#endif
#define PV_PVIEW_SAVE_RGB               0x0158

#define PV_PVIEW_DRAW_NOTHING		0x0200
#define PV_PVIEW_DRAW_VERTICES		0x0201
#define PV_PVIEW_DRAW_EDGES		0x0202
#define PV_PVIEW_DRAW_TRANSPARENT	0x0203
#define PV_PVIEW_DRAW_FACES		0x0204
#define PV_PVIEW_DRAW_OUTFACES_W        0x0205
#define PV_PVIEW_DRAW_OUTFACES_B        0x0206
#define PV_PVIEW_DRAW_OUTFACES          0x0207
#define PV_PVIEW_DRAW_HIDDEN            0x0208

#define PV_PVIEW_DRAG_NOTHING		0x0210
#define PV_PVIEW_DRAG_BOX		0x0211
#define PV_PVIEW_DRAG_VERTICES		0x0212
#define PV_PVIEW_DRAG_EDGES		0x0213
#define PV_PVIEW_DRAG_TRANSPARENT	0x0214
#define PV_PVIEW_DRAG_FACES		0x0215
#define PV_PVIEW_DRAG_OUTFACES	        0x0216
#define PV_PVIEW_DRAG_SAMEASDRAW	0x0217
#define PV_PVIEW_DRAG_HIDDEN            0x0218

#define PV_PVIEW_PROJ_PERSPECTIVE	0x0220
#define PV_PVIEW_PROJ_ORTHOGRAPHIC	0x0221

#define PV_PVIEW_SHADE_GOURAUD		0x0230
#define PV_PVIEW_SHADE_FLAT		0x0231

#define PV_PVIEW_BUTTON_OK		0x0240
#define PV_PVIEW_BUTTON_RESET		0x0241
#define PV_PVIEW_BUTTON_HELP		0x0242

#define PV_PVIEW_LIGHT_ONE              0x0250
#define PV_PVIEW_LIGHT_TWO              0x0251
#define PV_PVIEW_LIGHT_THREE            0x0252
#define PV_PVIEW_LIGHT_X                0x0253
#define PV_PVIEW_LIGHT_Y                0x0254
#define PV_PVIEW_LIGHT_Z                0x0255
#define PV_PVIEW_LIGHT_OFF              0x0256
#define PV_PVIEW_LIGHT_TWOSIDE          0x0257

/* Props (now render) window specifics. */
#define PV_PROPS_AXES_SMALL		0x0300
#define PV_PROPS_AXES_LARGE		0x0301
#define PV_PROPS_AXES_OFF		0x0302

#define PV_PROPS_BOX_EDGESFACES		0x0310
#define PV_PROPS_BOX_EDGES		0x0311
#define PV_PROPS_BOX_FACES		0x0312
#define PV_PROPS_BOX_OFF		0x0313

#define PV_PROPS_FOCUS			0x0320

#define PV_PROPS_GRID_XY		0x0330
#define PV_PROPS_GRID_YZ		0x0331
#define PV_PROPS_GRID_XZ		0x0332
#define PV_PROPS_GRID_ALL		0x0333
#define PV_PROPS_GRID_OFF		0x0334

#define PV_PROPS_SHADOW_XY		0x0340
#define PV_PROPS_SHADOW_YZ		0x0341
#define PV_PROPS_SHADOW_XZ		0x0342
#define PV_PROPS_SHADOW_ALL		0x0343
#define PV_PROPS_SHADOW_OFF		0x0344

#define PV_PROPS_LEGEND                 0x0350
#define PV_PROPS_CREDITS                0x0351

#define PV_PROPS_ALL_OFF                0x0360

/* Palette window specific. */
#define PV_PALETTE_LOAD_HDF             0x0400
#define PV_PALETTE_LOAD_RAW             0x0401
#define PV_PALETTE_SAVE_HDF             0x0402
#define PV_PALETTE_SAVE_RAW             0x0403
#define PV_PALETTE_RESET                0x0404

#define PV_PALETTE_PRESETS_RAINBOW      0x0410
#define PV_PALETTE_PRESETS_WTOB         0x0411
#define PV_PALETTE_PRESETS_BTOW         0x0412
#define PV_PALETTE_PRESETS_RGB          0x0413
#define PV_PALETTE_PRESETS_YELLOW       0x0414
#define PV_PALETTE_PRESETS_REDBLUE      0x0415
#define PV_PALETTE_PRESETS_WHITEBLUE    0x0416
#define PV_PALETTE_PRESETS_YELLOWRED    0x0417
/* get the rest from venus. */

#define PV_PALETTE_BACKG_BLACK          0x0420
#define PV_PALETTE_BACKG_WHITE          0x0421
#define PV_PALETTE_BACKG_GREY           0x0422
#define PV_PALETTE_BACKG_BLUE           0x0423
#define PV_PALETTE_BACKG_RED            0x0424

#define PV_PALETTE_BACKG_RGBY           0x0430
#define PV_PALETTE_BACKG_RGBLUE         0x0431
#define PV_PALETTE_BACKG_RBBLACK        0x0432

#define PV_PALETTE_BACKG_BLUEHORIZ      0x0440
#define PV_PALETTE_BACKG_REDHORIZ       0x0441
#define PV_PALETTE_BACKG_GREENHORIZ     0x0442
#define PV_PALETTE_BACKG_YELLOWHORIZ    0x0443

#define PV_PALETTE_BACKG_BLUESKY        0x0450
#define PV_PALETTE_BACKG_REDSKY         0x0451
#define PV_PALETTE_BACKG_GREENSKY       0x0452
#define PV_PALETTE_BACKG_YELLOWSKY      0x0453

#define PV_PALETTE_BACKG_BLUESTREAK     0x0460
#define PV_PALETTE_BACKG_REDSTREAK      0x0461
#define PV_PALETTE_BACKG_GREENSTREAK    0x0462
#define PV_PALETTE_BACKG_YELLOWSTREAK   0x0463

#define PV_PALETTE_BACKG_BLUESMEAR      0x0470
#define PV_PALETTE_BACKG_REDSMEAR       0x0471
#define PV_PALETTE_BACKG_GREENSMEAR     0x0472
#define PV_PALETTE_BACKG_YELLOWSMEAR    0x0473


#define PV_PALETTE_HELP_ONWINDOW        0x0490

#define PV_PALETTE_CLOSE_WINDOW         0x0499

/* Info window specific. */
#define PV_INFO_BUTTON_OK               0x0500
#define PV_INFO_BUTTON_HELP             0x0501

/* Time window specific. */
#define PV_TIME_FRAME_SCALE             0x0600

#define PV_TIME_FRAME_FORWARD           0x0610
#define PV_TIME_FRAME_FORWARDSTEP       0x0611
#define PV_TIME_FRAME_STOP              0x0612
#define PV_TIME_FRAME_REVERSESTEP       0x0613
#define PV_TIME_FRAME_REVERSE           0x0614
/* This can be hit from the polyview menubar, so make sure
   to check for existence of time window before resetting Widgets. */
#define PV_TIME_FRAME_RESET             0x0615

#define PV_TIME_FRAME_TEXT              0x0620

#define PV_TIME_DELAY_SCALE             0x0630

#define PV_TIME_SKIP_SCALE              0x0640

#define PV_TIME_BUTTON_OK               0x0650
#define PV_TIME_BUTTON_RESET            0x0651
#define PV_TIME_BUTTON_HELP             0x0652

#endif /* __POLYVIEW_TOKENS_H__ */
